blocktools2.cpp File Reference
`#include "blocktools.h"`
`#include <cstring>`
`#include <iostream>`

## Functions

int | getTag2 (unsigned char sourcex, unsigned char sourcey, unsigned char targetx, unsigned char targety)
int | getTag2 (unsigned char destx, unsigned char desty, bool deltax, bool deltay)
unsigned char | getSrcBuffID2 (unsigned char destx, unsigned char desty, bool deltax, bool deltay)

## Function Documentation

## getSrcBuffID2()

unsigned char getSrcBuffID2 | ( | unsigned char | destx,
|  | unsigned char | desty,
|  | bool | deltax,
|  | bool | deltay
| ) |  |

Referenced by BlockGrid2::generateInNeighbours().

## getTag2() [1/2]

int getTag2 | ( | unsigned char | sourcex,
|  | unsigned char | sourcey,
|  | unsigned char | targetx,
|  | unsigned char | targety
| ) |  |

Referenced by BlockGrid2::generateInNeighbours().

## getTag2() [2/2]

int getTag2 | ( | unsigned char | destx,
|  | unsigned char | desty,
|  | bool | deltax,
|  | bool | deltay
| ) |  |